Skip to main content
POST
Publish a quote, sending it for approval first if required

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Quote Id

Body

application/json
sendRecipientsEmail
boolean
required

If true Sequence will send an email to all quote recipients notifying them of the published quote

Example:

true

makeReadyToSign
boolean
required

If true the quote is made ready to sign as part of publishing

Example:

true

emailMessage
string | null

Optional message to include in email body

Example:

"Here's your quote"

messageForApprover
string | null

Optional comment for the approver, used when the account requires quote approval

Example:

"Please can you take a look at this quote"

Response

OK

outcome
enum<string>
required

Whether the quote was published directly, or sent into an approval flow

Available options:
PUBLISHED,
APPROVAL_REQUESTED
Example:

"PUBLISHED"